System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.ValueType System.ComponentModel.TypeConverter(typeof(System.Web.UI.WebControls.UnitConverter))

The structure represents a length measurement that can be expressed in any HTML-compatible size unit. The enumeration lists the units of measurement that can be represented. The is used by properties such as BorderWidth and Height to represent the length or width of the property. For example, you can set the property of a Web Server control to a that represents five pixels.

The class can represent values only between -32768 and 32767.

Use the property to determine the length of the measurement. The unit of measurement is determined using the property. You can convert other data types to a by using the , , , and methods.

For a list of initial property values for an instance of , see the constructor.

Represents a length measurement.

- Constructor

  Use this constructor to create and initialize a new instance of the structure using the specified double precision floating point number.

  The following table shows initial property values for an instance of .

  Property

  Initial Value

  The value specified by .

  If is not between -32768 and 32767, an exception is thrown.

  Initializes a new instance of the structure with the specified double precision floating point number.

  A double precision floating point number that represents the length of the in pixels.
  1.0.5000.0
  2.0.0.0
- Constructor

  Use this constructor to create and initialize a new instance of the structure using the specified 32-bit signed integer.

  The following table shows initial property values for an instance of .

  Property

  Initial Value

  The value specified by .

  If is not between -32768 and 32767, an exception is thrown.

  Initializes a new instance of the structure with the specified 32-bit signed integer.

  A 32-bit signed integer that represents the length of the in pixels.
  1.0.5000.0
  2.0.0.0
- Constructor

  Use this constructor to create and initialize a new instance of the structure using the specified length. The length is specified in two parts, the length's value and the length's unit type. For example, "200Cm" represents a length of 200 centimeters. You can use any valid CSS-compliant unit expression.

  The following table lists the common unit types.

  Unit type

  Description

  Pixel

  Length in pixels.

  Point

  Length in points. A point represents 1/72 of an inch.

  Inch

  Length in inches.

  Mm

  Length in millimeters.

  Cm

  Length in centimeters.

  Percentage

  Length as a percentage of the parent element.

  The following table shows initial property values for an instance of .

  Property

  Initial Value

  The unit type specified in .

  The value specified in .

  If is not between -32768 and 32767, an exception is thrown.

  Initializes a new instance of the structure with the specified length.

  A string that represents the length of the .
  1.0.5000.0
  2.0.0.0
- Constructor

  Use this constructor to create and initialize a new instance of the structure using the specified double precision floating point number and .

  The following table shows initial property values for an instance of .

  Property

  Initial Value

  The value of .

  The value specified by .

  If is not between -32768 and 32767, an exception is thrown.

  Initializes a new instance of the structure with the specified double precision floating point number and .

  A double precision floating point number that represents the length of the .
  One of the enumeration values.
  1.0.5000.0
  2.0.0.0
- Constructor

  Use this constructor to create and initialize a new instance of the structure using the specified length and . The length is specified in two parts, the length's value and the length's unit type. For example, "200Cm" represents a length of 200 centimeters. You can use any valid CSS-compliant unit expression.

  The following table lists the common unit types.

  Unit type

  Description

  Pixel

  Length in pixels.

  Point

  Length in points. A point represents 1/72 of an inch.

  Inch

  Length in inches.

  Mm

  Length in millimeters.

  Cm

  Length in centimeters.

  Percentage

  Length as a percentage of the parent element.

  The following table shows initial property values for an instance of .

  Property

  Initial Value

  The unit type specified in .

  The value specified in .

  If is not between -32768 and 32767, an exception is thrown.

  Initializes a new instance of the structure with the specified length and .

  A string that represents the length of the .
  A that represents the culture.
  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.WebControls.Unit To be added

  Represents an empty . This field is read-only.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean ``

  Use the method to compare the that this method is called from with the object specified by . For both objects to be equal, they must have the same values for both the and properties.

  The object specified by must by a type object for the comparison to succeed. If the object is null, false is returned.

  Compares this with the specified object.

  true if the that this method is called from is equal to the specified object; otherwise, false.

  The object for comparison. 1.0.5000.0 2.0.0.0
- Method
  System.Int32 a To be added

  Returns a hash code for this .

  1.0.5000.0
  2.0.0.0
- Property
  System.Boolean To be added: an object of type 'bool'

  Use the property to determine whether the is empty. The is empty if the property contains an enumeration value of 0.

  Gets a value indicating whether the is empty.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean `` ``

  Use this operator to compare two objects for equality. For both objects to be equal, they must have the same values for both the and properties.

  Compares two objects to determine whether they are equal.

  true if both objects are equal; otherwise, false.

  The on the left side of the operator. The on the right side of the operator. 1.0.5000.0 2.0.0.0
- Method
  System.Web.UI.WebControls.Unit `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` ``

  Use this operator to compare two objects for inequality. For the objects to not be equal, they must have different values for the property or the property.

  Compares two objects to determine whether they are not equal.

  true if the objects are not equal; otherwise, false.

  The on the left side of the operator. The on the right side of the operator. 1.0.5000.0 2.0.0.0
- Method
  System.Web.UI.WebControls.Unit ``

  Use the static method to convert the string specified by the parameter to a .

  The unit of measurement when using this method is .

  Converts the specified string to a .

  A that represents the specified string.

  The string to convert. 1.0.5000.0 2.0.0.0
- Method
  System.Web.UI.WebControls.Unit `` ``

  Use the static method to convert the string specified by to a in the culture specified by .

  The unit of measurement when using this method is .

  Converts the specified string and to a .

  A that represents the specified string.

  The string to convert. A object that represents the culture. 1.0.5000.0 2.0.0.0
- Method
  System.Web.UI.WebControls.Unit ``

  Use the static method to create a of type that represents the length specified by the parameter. For example, if you specify 80 for n and use the returned unit to set the of a Web server control, the height attribute is set to 80%.

  The class can represent values only between -32768 and 32767.

  Creates a of type from the specified double-precision floating-point number.

  A of type that represents the length specified by the double-precision floating-point number.

  A double-precision floating-point number that represents the length of the . 1.0.5000.0 2.0.0.0
- Method
  System.Web.UI.WebControls.Unit ``

  Use the static method to create a of type that represents the length specified by the parameter.

  The class can represent values only between -32768 and 32767.

  Creates a of type from the specified 32-bit signed integer.

  A of type that represents the length specified by the parameter.

  A 32-bit signed integer that represents the length of the . 1.0.5000.0 2.0.0.0
- Method
  System.Web.UI.WebControls.Unit ``

  Use the static method to create a of type that represents the length specified by the parameter.

  The class can represent values only between -32768 and 32767.

  Creates a of type from the specified 32-bit signed integer.

  A of type that represents the length specified by the 32-bit signed integer.

  A 32-bit signed integer that represents the length of the . 1.0.5000.0 2.0.0.0
- Method
  System.String To be added

  Converts a to a .

  A that represents this .

  1.0.5000.0
  2.0.0.0
- Method
  System.String ``

  Use the method to convert the that this method is called from to a string equivalent in the specified culture.

  Converts a to a string equivalent in the specified culture.

  A represents this in the culture specified by .

  A that represents the culture. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.String `` To be added.

  The method returns a string representation formatted with a unit and an abbreviation representing the unit . The following table lists values and their corresponding abbreviation.

  Unit type

  Abbreviation

  px

  pt

  pc

  in

  mm

  cm

  %

  em

  ex

  Use to specify culture-specific information used to format the . If is null, the numeric portion of the string is formatted using a default object set for the current culture.

  Converts a to a string equivalent using the specified format provider.

  A representing this in the format specified by .

- Property
  System.Web.UI.WebControls.UnitType To be added: an object of type 'UnitType'

  Use the property to determine the unit of measurement that the represents, such as pixels. The property is represented by one of the enumeration values.

  If property is set to true, the enumeration value is returned.

  Gets the unit type of the .

  1.0.5000.0
  2.0.0.0
- Property
  System.Double To be added: an object of type 'double'

  Use the property to determine the length of the .

  Gets the length of the .

  1.0.5000.0
  2.0.0.0